      SUBROUTINE UGLAST
C
C Termination routine to print histograms and statistics
C
      implicit none

       include 'mcflags.inc'

      integer*4 i,j,k,l

******************************************************************************

      CALL GLAST

C Close ntuple file

C      if (do_ntuple.ne.0) then
         call hrout(0,i,' ')
         call hrend('NTUP')
C      endif
C
      END
